Skip to main content
GET
/
core
/
v1
/
domains
/
{domainName}
:getAuthCode
Get Auth Code For Domain
curl --request GET \
  --url https://api.dev.name.com/core/v1/domains/{domainName}:getAuthCode \
  --header 'Authorization: Basic <encoded-value>'
{
  "authCode": "<string>"
}

Authorizations

Authorization
string
header
required

Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.

Path Parameters

domainName
string
required

DomainName is the domain name to retrieve the authorization code for.

Response

A successful response.

This endpoint retrieves the transfer authorization code (EPP code) for qualifying domains. Locks may exist on a domain that can prevent the initiation of a transfer request, despite an auth code being returned by the API.  Use the Get Domain API to check the lock status of a domain. A Create Transfer request for a locked domain will return an error.

authCode
string
required

AuthCode is the authorization code needed to transfer a domain to another registrar. If you are storing auth codes, be sure to store them in a secure manner.